Skip to main content
POST
/
v1
/
bill
/
purchase
Purchase a bill
curl --request POST \
  --url https://api.sandbox.busha.so/v1/bill/purchase \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "product_code": "<string>",
  "amount": "<string>",
  "recipient": "<string>",
  "phone_number": "<string>",
  "account_type": "prepaid",
  "source_currency": "<string>"
}
'
{
  "status": "success",
  "message": "message for success",
  "data": {
    "id": "bus_123456789",
    "reference": "BILL-abc123def456",
    "recipient": "<string>",
    "amount": "1000.00",
    "currency": "NGN",
    "status": "pending",
    "created_at": "2023-10-15T12:15:30Z",
    "updated_at": "2023-10-15T12:15:30Z",
    "source_amount": "1000.00",
    "source_currency": "NGN",
    "provider_amount": "200.00",
    "failure_reason": "<string>",
    "provider_reference": "<string>",
    "meta": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer Authentication

Body

application/json
product_code
string
required

Product code to purchase

amount
string
required

Amount in bill currency

recipient
string
required

Meter number, smartcard, customer ID, etc.

phone_number
string

Phone number (required for airtime, data, electricity, cable, betting)

account_type
enum<string>

Meter type (required for electricity, ignored otherwise)

Available options:
prepaid,
postpaid
source_currency
string

Currency to charge from (defaults to bill currency if omitted)

Response

201 - application/json

Order created

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

data
object